OAuth::getLastResponseInfo
OAuth::getRequestToken
OAuth
PHP Manual

# OAuth::getRequestHeader

Generate OAuth header string signature

### Description

public string OAuth::getRequestHeader ( string `$http_method` , string `$url` [, mixed `$extra_parameters` ] )

Generate OAuth header string signature based on the final HTTP method, URL and a string/array of parameters

### Parameters

`http_method`

  HTTP method for request.

`url`

  URL for request.

`extra_parameters`

  String or array of additional parameters.

### Return Values

A string containing the generated request header or `FALSE` on failure